気ままに書いてみました日記 RSSフィード

 | 

2012-05-06

[]mecabインストール

昨年末にバージョンがあがっていたので再度インストールしなおした。

makeの時点でエラーが出たが、コンパイラのヴァージョンを変更して無事インストールできた。

備忘録。

##以下のようなエラーが出るときは。。

/bin/sh ../libtool --tag=CXX --mode=link g++ -O3 -Wall -o mecab mecab.o libmecab.la -lpthread -lpthread -lstdc++

libtool: link: g++ -O3 -Wall -o .libs/mecab mecab.o ./.libs/libmecab.so -lpthread -lstdc++

./.libs/libmecab.so: undefined reference to `__sync_val_compare_and_swap_4'

##コンパイラをg++44に変更して事なきを得た。

./configure --enable-utf8-only CXX='g++44'

ldconfigを忘れずに。

スパム対策のためのダミーです。もし見えても何も入力しないでください
ゲスト


画像認証

トラックバック - http://d.hatena.ne.jp/abcb2/20120506/1336311450
リンク元
 | 
Connection: close